/** \file misc.h
	\brief Declarations for miscellaneous functions
	\cond DEV
*/

#ifndef AUDRECORDLIB_MISC_H
#define AUDRECORDLIB_MISC_H

#pragma once

HRESULT CheckCOMInitialization();
DWORD GetCurrentTimerResolution();
BOOL GetWaveformatExType(const struct tWAVEFORMATEX* pwfx, BOOL* pIsFloat);
BOOL IsSSE2Supported();
std::wstring GetCurrentDateTime();
void SetCurrentThreadName(const char* pszThreadName);

/** \endcond */

#endif
